Bug 834304 - bash is stuck in infinte loop during conversion from/to wide char
bash is stuck in infinte loop during conversion from/to wide char
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
17
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 09:40 EDT by Branislav Náter
Modified: 2014-01-12 19:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:49:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branislav Náter 2012-06-21 09:40:33 EDT
Description of problem:
bash is stuck in infinte loop during conversion from/to wide char, eating 99% of cpu.

Version-Release number of selected component (if applicable):
bash-4.2.29-1.fc17

How reproducible:
always

Steps to Reproduce:
1. run command: $(cat $(echo /bin/bash))
  
Actual results:
bash process is stuck

Expected results:
something like: bash: ELF>��A@�J@8: command not found

Additional info:
command works as shown in "Expected results" on bash-4.1.2-9.el6_2
Comment 1 Roman Rakus 2012-06-21 10:07:44 EDT
I will try to find simpler and cleaner reproducer.
bash is stuck in globbing fucntions.
From the backtrace:
#5  0x000000000047f50b in glob_filename (
    pathname=pathname@entry=0x21a0c10 "\022\016]G\302\\\001?S\021\031\200\270m(*q\022\016XC\247\024}\022\016\260\360A\342\\\001\032X\022\016\200\\\177E2R~\021\031\300)n\b\\\023\022\016\300\070I\024\\.\022\016p\343H\207\346`\022\016",
Comment 3 Roman Rakus 2012-07-11 06:46:12 EDT
As I expected, Patch 30 is fixing the infinite loop.

$ $(cat /bin/bash)
bash: ELF>8�A@�+@8: command not found...

(process:23813): GLib-CRITICAL **: g_variant_new_string: assertion `g_utf8_validate (string, -1, NULL)' failed

(process:23813): GLib-CRITICAL **: g_variant_ref_sink: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_new_string: assertion `g_utf8_validate (string, -1, NULL)' failed

(process:23813): GLib-CRITICAL **: g_variant_ref_sink: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_new_string: assertion `g_utf8_validate (string, -1, NULL)' failed

(process:23813): GLib-CRITICAL **: g_variant_ref_sink: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_new_string: assertion `g_utf8_validate (string, -1, NULL)' failed

(process:23813): GLib-CRITICAL **: g_variant_ref_sink: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_ref: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_unref: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_unref: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_unref: assertion `value != NULL' failed

(process:23813): GLib-CRITICAL **: g_variant_unref: assertion `value != NULL' failed
Comment 4 Fedora Update System 2012-07-11 06:47:43 EDT
bash-4.2.36-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bash-4.2.36-1.fc17
Comment 5 Fedora Update System 2012-07-11 19:57:46 EDT
Package bash-4.2.36-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-4.2.36-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10545/bash-4.2.36-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-07-14 17:49:00 EDT
bash-4.2.36-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.